function onTalk(room)
    helpers.disableMovement()
    helpers.setFlag("enableSuperSecret", true)
    helpers.setFlag("fadeOut", true)
    coroutine.yield(celeste.CutsceneEntity.CameraTo(vector2(2873, 798), 2))
    helpers.setFlag("observatory", true)
    helpers.setFlag("fadeOut", false)
    helpers.say("TotemCollab_grog_turnback_observatory")
end

function onEnd(room)
    helpers.setFlag("fadeOut", true)
    helpers.setFlag("observatory", false)
    helpers.setFlag("enableSuperSecret", false)
    helpers.enableMovement()
end
